Package oasis.names.tc.saml._2_0.protocol

# Class SubjectQueryAbstractType

java.lang.Object
oasis.names.tc.saml._2_0.protocol.RequestAbstractType
oasis.names.tc.saml._2_0.protocol.SubjectQueryAbstractType

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `AttributeQuery`, `AuthnQuery`, `AuthzDecisionQuery`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:50+02:00", comments="JAXB RI v4.0.5") public abstract class SubjectQueryAbstractType extends RequestAbstractType implements Serializable

Java class for SubjectQueryAbstractType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SubjectQueryAbstractType">
       <complexContent>
         <extension base="{urn:oasis:names:tc:SAML:2.0:protocol}RequestAbstractType">
           <sequence>
             <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}Subject"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SubjectQueryAbstractType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Subject`
  `getSubject()`
  Gets the value of the subject property.
  `void`
  `setSubject(Subject value)`
  Sets the value of the subject property.

  ### Methods inherited from class oasis.names.tc.saml._2_0.protocol.RequestAbstractType

  `getConsent, getDestination, getExtensions, getID, getIssueInstant, getIssuer, getSignature, getVersion, setConsent, setDestination, setExtensions, setID, setIssueInstant, setIssuer, setSignature, setVersion`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SubjectQueryAbstractType

    public SubjectQueryAbstractType()

- ## Method Details

  - ### getSubject

    public Subject getSubject()
    Gets the value of the subject property.
    Returns:
      possible object is `Subject`

  - ### setSubject

    public void setSubject(Subject value)
    Sets the value of the subject property.
    Parameters:
      `value` - allowed object is `Subject`